package com.lifepay.pinpaddemo.activities.base;

import org.androidannotations.annotations.EFragment;
import org.androidannotations.annotations.UiThread;

import com.lifepay.pinpaddemo.R;

import android.app.Activity;
import android.app.ProgressDialog;
import android.content.Context;
import android.os.Bundle;
import android.support.v4.app.Fragment;
import android.view.View;

@EFragment
public abstract class BaseFragment extends Fragment {
	protected Context context;

	@Override
	public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		context = this.getActivity();
	}

	@UiThread
	public void hide() {
		if (this.getView() != null)
			this.getView().setVisibility(View.GONE);
	}

	@UiThread
	public void show() {
		if (this.getView() != null)
			this.getView().setVisibility(View.VISIBLE);
	}
}
