package com.lifepay.pinpaddemo.activities.pinpad.refund;

import com.lifepay.lib.LifePayApi;
import com.lifepay.lib.rest.params.PaymentParams;
import com.lifepay.pinpaddemo.TestData;
import com.lifepay.pinpaddemo.R;
import com.lifepay.pinpaddemo.activities.pinpad.FBasePinpadPayment;

import org.androidannotations.annotations.EFragment;

@EFragment(R.layout.f_pinpad_payment)
public class FPinpadRefund extends FBasePinpadPayment {

	@Override
	protected PaymentParams getPaymentParams() {
		currentOperation = LifePayApi.OperationType.REFUND;
		return new PaymentParams(TestData.CLIENT_PAYMENT_ID, TestData.LOGIN,
				TestData.PASSWORD, null, null,
				TestData.REFUND_REASON, TestData.LAST_TRANSACTION_AMOUNT, 0.0, null,
				currentOperation, TestData.TERMINAL_TYPE, TestData.TRANSACTION_INFO.getLifepayTransactionNumber());
	}
}
